<?php 

if ( ! defined( 'WPINC' ) ) {
		die;
	}

	class CTLT_Co_Authors_Plus_Shortcode {

		/**
		 * Setup our actions and filters
		 *
		 * @author David Brabbins
		 * @since 1.0.6
		 * @param null 
		 * @return null 
		 */
		

		public function __construct() {

			// Register the shortcodes
			add_action( 'init', array( $this, 'init__registerShortCodes' ) );

		}/* __construct() */


		public function init__registerShortCodes() {

			add_shortcode( 'co_authors_flex', array( $this, 'add_shortcode__registerCo_Authors_Flex_Shortcode' ) );

		}/* function init__registerShortCodes */

		/**
		 * Call back for shortcode
		 *
		 * @author David Brabbins
		 * @since 1.0.6	
		 * @param $attr
		 * @return string determind by whether a co author exisits and if so display co-author or if not display WordPress author. 
		 */
		

		public function add_shortcode__registerCo_Authors_Flex_Shortcode( $attr ) {

		    $attr = shortcode_atts( array( 'before' => '', 'after' => '' ), $attr );

		    if ( function_exists( 'coauthors' ) ) {

		        $author = coauthors( null, null, null, null, false );

		    } else {

		        $author = '<span class="author vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" title="' . esc_attr( get_the_author_meta( 'display_name' ) ) . '">' . get_the_author_meta( 'display_name' ) . '</a></span>';
		    }

		    return '<span class="name">'. $attr['before'] . $author . $attr['after'] . '</span>';
		}

	}/* class CTLT_Co_Authors_Plus_Shortcode */

	$CTLT_Co_Authors_Plus_Shortcode = new CTLT_Co_Authors_Plus_Shortcode();
?>