<?php
/**
 * Singular Template
 *
 * WordPress currently supports custom post types displayed on the singular post level. This template
 * is a catchall template for the singular views of these posts. It should only be used as a backup or if
 * your custom post type doesn't require a custom structure. The template hierarchy for singular views
 * of post types is like so: $post_type-$template.php, $post_type-$slug.php, $post_type-$id.php,
 * $post_type.php, and singular.php.
 *
 *
 */

// Get the meta data
$featured_video 			= get_post_meta( get_the_ID(), '_featuredVideoURL', true );
$fl_person_meta_data 		= get_post_meta( get_the_ID(), '_fl_persons', true );
$fl_dept					= get_post_meta( get_the_ID(), '_dept_faculty_meta_value_key', true );
$fl_dept_title 				= get_post_meta( get_the_ID(), '_prfx_stored_meta', true );
$fl_courses_meta_data 		= get_post_meta( get_the_ID(), '_course_meta_value_key', true );
$fl_enrollment_meta_data 	= get_post_meta( get_the_ID(), '_enrolment_meta_value_key', true );
$VideoTypeMedia 			= get_post_meta( get_the_ID(), '_video_type_media', true );

// Get the posts date and screen reader date
$the_time_format			= 'Y-m-d';
$get_the_date 				= get_the_date();
$screen_reader_date			= get_the_date( $the_time_format );

get_header(); // Loads the header.php template.

?>



	<div id="content" class="hfeed content span12 case-study">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<div class="<?php hybrid_entry_class(); ?>">

			<div id="post-<?php the_ID(); ?>" class="entry-content case-study-body" role="main">

				<article class="case-study-<?php the_ID(); ?>">

					<header>

						<?php do_atomic( 'before_entry' ); ?>
						<p class="centered-content"><span class="label label-inverse bg-third">Posted on <time datetime="<?php echo esc_attr( $screen_reader_date ); ?>"><?php echo esc_html( $get_the_date ); ?></time></span></p>

					</header>

					<aside class="meta-content">

						<?php if ( has_post_thumbnail() ) : ?>

							<?php echo the_post_thumbnail( 'default_featured_image', array( 'class' => 'featured-images text-center-block' ) ); ?> 

						<?php endif; ?>

						<div class="row-fluid centered-content">

				            <div class="span4 meta-box">

				                <?php if ( ! empty( $fl_person_meta_data ) ) : ?>

			                    <p class="title"><strong>Instructor(s):</strong></p>

		                    	<?php $fl_persons_data = get_post_meta( get_the_ID(), '_fl_persons', true );
						        foreach ( $fl_persons_data as $person ) {
									echo '<p class="fl-individual-person">'. esc_html( $person['name'] ) .', '. esc_html( $person['title'] ) .'</p>';
								} ?>

				                <?php endif; ?>

				                <?php if ( ! empty( $fl_dept ) ) : ?>

				                    <p class="title"><strong><?php echo esc_html( $fl_dept_title ); ?>:</strong></p>
				                    <p><?php echo esc_html( $fl_dept ); ?></p>

				                <?php endif; ?>

				                <?php if ( ! empty( $fl_courses_meta_data ) ) : ?>

				                    <p class="title"><strong>Course:</strong></p>
				                    <p><?php echo esc_html( $fl_courses_meta_data ); ?></p>

				            	<?php endif; ?>

				            	<?php if ( ! empty( $fl_enrollment_meta_data ) ) : ?>

				                    <p class="title"><strong>Enrollment:</strong></p>
				                    <p><?php echo esc_html( $fl_enrollment_meta_data ); ?></p>

				                <?php endif; ?>

				            </div><!-- .span4 close -->

				            <div class="span8 excerpt-video">
				                <div class="lead"><?php the_excerpt() ?></div>
		                		<?php if ( ! empty( $featured_video ) ) { ?>
		                        <div class="row-fluid h4">
		                            <div class="span6">
		                            	<a id="hide-pause-button" href="#sc-video-top" class="sc-article-controls sc-video-toggle"><span class="icon-stack">
		                             	<i class="icon-circle icon-stack-base txt-fourth"></i>
		                              	<i class="icon-film icon-light"></i>
		                            	</span> <span class="txt-change">View Video</span><span class="txt-change-hide"></span></a>
		                        	</div><!-- .span6 close -->
		                            <div class="span6">
		                            	<a href="#sc-content-top" class="sc-article-controls sc-text-anchor"><span class="icon-stack">
		                              	<i class="icon-circle icon-stack-base txt-fourth"></i>
		                              	<i class="icon-align-left icon-light"></i>
		                            	</span> Continue Reading</a>
		                            </div><!-- .span6 close -->
		                       	</div>
				                <?php } ?>
				            </div><!-- .span8 close -->

				        </div><!-- .row-fluid -->

					</aside>

					<?php if ( ! empty( $featured_video ) ) { ?>

					<section>
						<div id="sc-video-top" class="sc-video" style="display:none">
							<i id="close-pause-button" class="icon-remove-sign icon-3x txt-alert sc-video-close"></i>
							<div class="responsive-media">

								<?php switch ( $VideoTypeMedia ) {

									case 'Media Site': ?>

								<iframe width="640" height="360" frameborder="0" scrolling="auto" marginheight="0" marginwidth="0" src="//mediasitemob1.mediagroup.ubc.ca/Mediasite/Play/<?php echo esc_attr( get_post_meta( get_the_ID(), '_featuredVideoURL', true ) ); ?>"></iframe>

										<?php break;

									default: ?>

								<iframe id="cs-youtube-video" width="960" height="540" src="//www.youtube.com/embed/<?php echo esc_attr( get_post_meta( get_the_ID(), '_featuredVideoURL', true ) ); ?>?enablejsapi=1&rel=0" frameborder="0" allowfullscreen="" id="popup-youtube-player" allowscriptaccess="always"></iframe>

										<?php break; } ?>

							</div><!-- end .responsive-media -->
						</div><!-- .sc-video -->
						<script>
							jQuery(document).ready(function(){
							  	jQuery( '.sc-video-toggle, .sc-video-close' ).click(function(){
						    		var txt = jQuery( '.sc-video-toggle .txt-change-hide' ).is( ':visible' ) ? 'Hide Video' : 'View Video';
							    	jQuery( '.sc-video' ).toggle(500);
							     	jQuery( '.sc-video-toggle .txt-change' ).text(txt);
							     	jQuery( '.sc-video-toggle .txt-change-hide' ).toggle();
								});
							});
						</script><!-- Script hides and reveals video, stops video(youtube) when closed -->
					</section><!-- .centered-content -->

					<?php } ?>

					<div class="row-fluid centered-content">

						<main id="sc-content-top" class="span8">

							<section>
								<?php the_content(); ?>
							</section>

						</main>

						<aside id="primary-secondary" class="sidebar aside span4">
							<div id="primary">

								<?php if ( is_active_sidebar( 'primary' ) ) : ?>

								<?php do_atomic( 'before_primary' ); ?>

								<?php dynamic_sidebar( 'primary' ); ?>

								<?php do_atomic( 'after_primary' ); ?>

								<?php endif; ?>

							</div><!-- #primary -->

							<?php if ( is_active_sidebar( 'secondary' ) ) : ?>
							<div id="secondary">

								<?php do_atomic( 'before_secondary' ); ?>

								<?php dynamic_sidebar( 'secondary' ); ?>

								<?php do_atomic( 'after_secondary' ); ?>

							</div><!-- #secondary -->
							<?php endif; ?>

						</aside><!-- #primary-secondary .aside -->

						<?php wp_link_pages( array( 'before' => '<p class="page-links pages">' . __( 'Pages:', 'hybrid' ), 'after' => '</p>' ) ); ?>

					</div><!-- .row-fluid -->

					<?php do_atomic( 'after_entry' ); ?>

				</article><!-- #sc-content -->

			</div><!-- .entry-content -->

		</div><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php endwhile; ?>

		<?php else : ?>

		<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- .content .hfeed -->

<?php get_footer(); ?>
