<?php
/**
 * Archive Template
 *
 * The archive template is basically a placeholder for archives that don't have a template file.
 * Ideally, all archives would be handled by a more appropriate template according to the current
 * page context.
 *
 *
 */

get_header(); // Loads the header.php template. ?>

	<div id="content" class="hfeed content centered-content">

		<?php do_atomic( 'before_content' ); ?>

		<header>
			<h1 class="page-title centered-content">EVENTS</h1>
		</header>

		<div class="events row-fluid">

			<div class="span6 upcoming-events">

				<h2 class="event-header"><i class="icon-calendar"></i> Upcoming</h2>

				<?php do_action( 'upcoming_events' ); ?>

			</div><!-- .span6 -->

			<div class="span6 past-events">

				<h2 class="event-header"><i class="icon-calendar-empty"></i> Past</h2>

				<?php do_action( 'past_events' ); ?>

			</div><!-- .span6 -->

		</div><!-- .row-fluid -->

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- .content .hfeed -->

<?php get_footer(); ?>
