<?php

	/**
	 * Singular item for the news/events home page
	 * $slug - slug of the categories we're in
	 * $name - name of the categories we're in
	 * And we're in the loop so have access to $post variables
	 *
	 * @author Richard Tape <@richardtape>
	 * @since 1.0
	 */



?>

<div id="child-<?php the_ID(); ?>" class="child-page tab-<?php echo esc_attr( strtolower( $slug ) ); ?>">
	
	<h3 class="child-page-title">
		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute( array( 'before' => 'See More on: ', 'after' => '' ) ); ?>"><?php the_title(); ?></a>
	</h3>

	<p class="fl-author">
		<small><?php if( esc_attr( strtolower( $slug ) ) == "flexibytes" ) : ?>

			Posted on <span class="date"><?php the_time('F jS, Y'); ?></span>

		<?php else: ?>

			By <span class="fl-author"><?php if ( function_exists( 'coauthors' ) ) : coauthors(); else: the_author_posts_link(); endif; ?> </span> posted on <span class="date"> <?php the_time('F jS, Y'); ?></span>
		
		<?php endif; ?>
		</small>
	</p>
	
		<?php the_excerpt(); ?>
	
	<p>
		<a class="btn" title="<?php the_title_attribute( array( 'before' => 'More on: ', 'after' => '' ) ); ?>" href="<?php the_permalink(); ?>">Read more ></a>
	</p>
	
	<hr />

</div><!-- #child-id -->