<?php
/**
 * Singular Template
 *
 * WordPress currently supports custom post types displayed on the singular post level. This template
 * is a catchall template for the singular views of these posts. It should only be used as a backup or if
 * your custom post type doesn't require a custom structure. The template hierarchy for singular views
 * of post types is like so: $post_type-$template.php, $post_type-$slug.php, $post_type-$id.php,
 * $post_type.php, and singular.php.
 *
 *
 */

get_header(); // Loads the header.php template. 

	$fl_person_meta_data = get_post_meta( get_the_ID(), '_fl_persons', true );
	$fl_courses_meta_data = get_post_meta( get_the_ID(), '_course_meta_value_key', true );
	$fl_enrollment_meta_data = get_post_meta( get_the_ID(), '_enrolment_meta_value_key', true );

?>

	<div id="content" class="hfeed content centered-content case-study">
			
			<?php do_atomic( 'before_content' ); // hybrid_before_content ?>
			
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

				<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

								<?php do_atomic( 'before_entry' ); // hybrid_before_entry ?>

					<div class="entry-content">

								<div class="row-fluid">
									<div class="span5 info-box">
										<div class="row-fluid">
											<div class="span4"><strong><?php echo esc_attr( get_post_meta( get_the_ID(), '_prfx_stored_meta', true ) ); ?>:</strong>
											</div>
											<!-- .span4 close -->
											<div class="span8"><?php echo esc_attr( get_post_meta( get_the_ID(), '_dept_faculty_meta_value_key', true ) ); ?>
											</div>
											<!-- .span8 close -->
										</div>
										<br>

										<?php if( ! empty( $fl_courses_meta_data ) ): ?>

										<div class="row-fluid">
											<div class="span4"><strong>Course:</strong></div>
											<!-- .span4 close -->
											<div class="span8"><?php echo esc_attr( get_post_meta( get_the_ID(), '_course_meta_value_key', true ) ); ?>
											</div><!-- .span8 close -->
										</div><!-- .row-fluid close -->
										<br>

										<?php endif; ?>

										<?php if( ! empty( $fl_enrollment_meta_data ) ): ?>

										<div class="row-fluid">
											<div class="span4"><strong>Enrolment:</strong></div>
											<!-- .span4 close -->
											<div class="span8"><?php echo esc_attr( get_post_meta( get_the_ID(), '_enrolment_meta_value_key', true ) ); ?>
											</div><!-- .span8 close -->
										</div><!-- .row-fluid close -->
										<br>

										<?php endif; ?>

										<?php if( ! empty( $fl_person_meta_data ) ): ?>

										<div class="row-fluid">
											<div class="span4"><strong>Principal Investigator:</strong></div>
											<!-- .span4 close -->
											<div class="span8">
											<?php 
											$fl_persons_data = get_post_meta( get_the_ID(), '_fl_persons', true);
											if ( $fl_persons_data ) :

										        foreach( $fl_persons_data as $person ) {
													echo '<div class="fl-individual-person">'. esc_attr( $person['name'] ).' '. esc_attr( $person['title'] ).'</div>';
											}
											endif;
											?>
											</div><!-- .span8 close -->
										</div><!-- .row-fluid close -->

										<?php endif; ?>

									</div><!-- .span5 close -->
									<div class="span7">
										<?php the_content(); ?>
									</div>
									<!-- .span8 close -->

								</div>
								<!-- .row-fluid close -->

								</div>

								<?php wp_link_pages( array( 'before' => '<p class="page-links pages">' . __( 'Pages:', 'hybrid' ), 'after' => '</p>' ) ); ?>
					</div><!-- .entry-content -->

					<?php do_atomic( 'after_entry' ); // hybrid_after_entry ?>

				</div><!-- .hentry -->

				<?php do_atomic( 'after_singular' ); // hybrid_after_singular ?>

				<?php //comments_template( '/comments.php', true ); // Loads the comments.php template ?>

				<?php endwhile; ?>

			<?php else : ?>

				<?php get_template_part( 'loop-error' ); // Loads the loop-error.php template. ?>

			<?php endif; ?>

			<?php do_atomic( 'after_content' ); // hybrid_after_content ?>

		</div><!-- .content .hfeed -->

<?php get_footer(); // Loads the footer.php template. ?>