<?php
/**
 * Singular Template
 *
 * WordPress currently supports custom post types displayed on the singular post level. This template
 * is a catchall template for the singular views of these posts. It should only be used as a backup or if
 * your custom post type doesn't require a custom structure. The template hierarchy for singular views
 * of post types is like so: $post_type-$template.php, $post_type-$slug.php, $post_type-$id.php,
 * $post_type.php, and singular.php.
 *
 *
 */

get_header(); // Loads the header.php template. ?>

	<div id="content" class="hfeed content centered-content">
		
		<?php do_atomic( 'before_content' ); // hybrid_before_content ?>
		
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php //hybrid_entry_class(); ?>">

				<?php do_atomic( 'before_entry' ); // hybrid_before_entry ?>

				<div class="row-fluid">

				<div id="primary-secondary" class="sidebar aside span3"> 
					<div id="primary">

						<?php //subpages_navigation( 'collapsible', 'true' ) ?>

						<?php if ( is_active_sidebar( 'primary' ) ) : ?>
				
						<?php do_atomic( 'before_primary' ); // hybrid_before_primary ?>
				
						<?php dynamic_sidebar( 'primary' ); ?>
				
						<?php do_atomic( 'after_primary' ); // hybrid_after_primary ?>

						<?php endif; ?>
				
					</div><!-- #primary -->
					
					<?php if ( is_active_sidebar( 'secondary' ) ) : ?>
					<div id="secondary">
					
						<?php do_atomic( 'before_secondary' ); // hybrid_before_secondary ?>
				
						<?php dynamic_sidebar( 'secondary' ); ?>
				
						<?php do_atomic( 'after_secondary' ); // hybrid_after_secondary ?>
					
					</div><!-- #secondary -->
					<?php endif; ?>

				</div><!-- #primary-secondary .aside -->

				<div class="entry-content span9">
					<?php the_content(); ?>


					<?php wp_link_pages( array( 'before' => '<p class="page-links pages">' . __( 'Pages:', 'hybrid' ), 'after' => '</p>' ) ); ?>
				</div><!-- .entry-content -->
			</div><!-- end .row-fluid -->

				<?php do_atomic( 'after_entry' ); // hybrid_after_entry ?>

			</div><!-- .hentry -->

				<?php do_atomic( 'after_singular' ); // hybrid_after_singular ?>

			<?php comments_template( '/comments.php', true ); // Loads the comments.php template ?>

			<?php endwhile; ?>

		<?php else : ?>

			<?php get_template_part( 'loop-error' ); // Loads the loop-error.php template. ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); // hybrid_after_content ?>

	</div><!-- .content .hfeed -->

<?php get_footer(); // Loads the footer.php template. ?>