<?php
/**
 * Archive Template
 *
 * The archive template is basically a placeholder for archives that don't have a template file.
 * Ideally, all archives would be handled by a more appropriate template according to the current
 * page context.
 *
 *
 */

get_header(); // Loads the header.php template.

// Fetch the default message
$newsEventsDefaultMessage = UBC_Collab_Theme_Options::get( 'news-events-default-message' );

// Fetch which categories to have tabs for
$categoriesToShow = CTLT_Flexible_Learning_Website::getNewsEventsLandingPageCats();

?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>
		<h1 class="page-title centered-content">News + Events</h1>

		<?php CTLT_Flexible_Learning_Website::displayNewsFeaturedPost(); ?>

		<?php if ( $newsEventsDefaultMessage && ! empty( $newsEventsDefaultMessage ) ) : ?>
			<p class="default-message news-events-default-message centered-content">
				<?php echo wp_kses( $newsEventsDefaultMessage, array( 'a' => array( 'href' => array(), 'title' => array() ), 'br' => array(), 'em' => array(), 'strong' => array() ) ); ?>
			</p>
		<?php endif; ?>

		<div id="news-events-top" class="centered-content showcase stories-events-archive showcase archive">

			<div class="row-fluid">

				<div class="span8">

					<div class="tabbable">

						<?php CTLT_Flexible_Learning_Website::displayNewsEventsTabsAndPosts(); ?>

						<script>
						  jQuery(document).ready(function() {
						    jQuery('#myTab a:first').tab('show')
						  })
						</script>
					</div>

				</div><!-- end span8 -->
				<div class="span4">
					<div class="fl-events bg-second">
						<h2>Events <i class="icon-calendar"></i></h2>
						<hr>
							<?php do_action( 'upcoming_events' ); // ctlt-flexible-learning-website.php ?>

							<a href="<?php echo get_site_url(); ?>/events" class="btn btn-primary btn-large">See more ></a>
					</div><!-- fl-events -->
				</div><!-- .span4 -->
			</div><!-- end row-fluid -->

		</div><!-- .stories-events-archive -->


		<?php do_atomic( 'after_content' ); // hybrid_after_content ?>

	</div><!-- .content .hfeed -->

<?php get_footer(); // Loads the footer.php template. ?>
