<?php
if( !defined( 'ABSPATH' ) ){
	return;
}


class CTLT_Flexible_Learning_Custom_Post_Types_Templates {

	public function __construct() {
		//Default page/post templates
		add_filter( 'single_template', array( $this, 'get_post_template' ) );
		add_filter( 'page_template', array( $this, 'get_page_template' ) );

		//Case Study
		add_filter( 'single_template', array( $this, 'get_casestudy_template' ) );
		add_filter( 'archive_template', array( $this, 'get_case_studies_archive_template' ) );

		// Stories and Events
		add_filter( 'single_template', array( $this, 'get_news_events_template' ) );
		add_filter( 'archive_template', array( $this, 'get_news_events_archive_template' ) );

		//Projects
		add_filter( 'single_template', array( $this, 'get_project_template' ) );

		//Events custom post type
		add_filter( 'archive_template', array( $this, 'get_events_archive_template' ) );
	}

	/****
	** Default Post Templates
	****/

	public function get_post_template( $single_template ) {
	     global $post;

		     if ($post->post_type == 'post') {
		          $single_template =  dirname( __FILE__ ) . '/assets/templates/singular-template.php';
		     }
	     return $single_template;
	}

	/****
	** Default Page Templates
	****/

	public function get_page_template( $page_template ) {
	     global $post;

		     if ($post->post_type == 'page') {
		          $page_template =  dirname( __FILE__ ) . '/assets/templates/page-template.php';
		     }
	     return $page_template;
	}

	/****
	** Case Study Custom Templates
	****/
	public function get_case_studies_archive_template( $archive_template ) {
	    global $post;

		    if ( is_post_type_archive ( 'case-studies' ) ) {
		          $archive_template = dirname( __FILE__ ) . '/assets/templates/case-studies-archive-template.php';
		    }
			return $archive_template;
	}

	public function get_casestudy_template( $single_template ) {
	     global $post;

		     if ($post->post_type == 'case-studies') {
		          $single_template =  dirname( __FILE__ ) . '/assets/templates/case-study-template.php';
		     }
	     return $single_template;
	}
	/****
	** Project Custom Templates
	****/
	public function get_project_template($single_template) {
	     global $post;

	     if ($post->post_type == 'projects') {
	          $single_template =  dirname( __FILE__ ) . '/assets/templates/project-template.php';
	     }
	     return $single_template;
	}

	/****
	** Project Custom Templates
	****/
	public function get_news_events_archive_template( $archive_template ) {
	    global $post;

		    if ( is_post_type_archive ( 'news' ) ) {
		          $archive_template = dirname( __FILE__ ) . '/assets/templates/stories-news-archive-template.php';
		    }
			return $archive_template;
	}

	public function get_news_events_template( $single_template ) {
	     global $post;

		     if ($post->post_type == 'news') {
		          $single_template =  dirname( __FILE__ ) . '/assets/templates/stories-news-template.php';
		     }
	     return $single_template;
	}

	public function get_events_archive_template( $events_archive_template ) {

		global $post;

		if ( is_post_type_archive( 'events' ) ) {

			$events_archive_template = dirname( __FILE__ ) .'/assets/templates/events-archive-template.php';

		}

		return $events_archive_template;

	}// get_events_archive_template()

}//CTLT_Flexible_Learning_Custom_Post_Types_Templates

add_action( 'plugins_loaded', 'plugins_loaded__instantiateCTLTcustomTemplates', 10 );

function plugins_loaded__instantiateCTLTcustomTemplates() {
	$CTLTCustomTemplates = new CTLT_Flexible_Learning_Custom_Post_Types_Templates();
}

?>
