<?php 

if( !defined( 'ABSPATH' ) ){
	return;
}

class CTLT_Flexible_Learning_Custom_Post_Types_setups {

	public function __construct() {
		//add_action( 'manage_testimonial_posts_custom_column' , array( $this, 'CTLT_Flexible_Learning_Custom_Post_Types_Custom_Columns', 10, 2 ) );
		
		// add_action( 'wp_enqueue_scripts', array( $this, 'soft_anchor_scroll_for_case_studies_news_events' ), 9 );

		add_filter( 'manage_edit-testimonial_columns', array( $this, 'testimonial_posts_columns_id' ), 5 );
    	add_action( 'manage_testimonial_posts_custom_column', array( $this, 'testimonial_posts_custom_id_columns' ), 5, 2 );

    	add_filter( 'manage_edit-events_columns', array( $this, 'event_posts_columns_id' ), 5 );
    	add_action( 'manage_events_posts_custom_column', array( $this, 'event_posts_custom_id_columns' ), 5, 2 );
    	//add_filter( 'manage_edit-events_sortable_columns', array( $this, 'events_post_type_manage_sortable_columns' ), 5, 2 );

	}

	public function testimonial_posts_columns_id($defaults){

		// Add the ID to the start of the array
	    $defaults = array( 'wps_post_id' => __( 'ID' ) ) + $defaults;
	    
	    // Ensure the checkbox is at the start
	    $defaults = $this->array_swap( 'wps_post_id', 'cb', $defaults );

	    return $defaults;
	}
	public function testimonial_posts_custom_id_columns($column_name, $id){

	    if($column_name === 'wps_post_id'){
	        echo $id;
	    }
	}

	public function event_posts_columns_id($defaults){

		// Add the ID to the start of the array
	    $defaults = array( 'event_date_column' => __( 'Event Date' ) ) + $defaults;

	    // Ensures Checkbox is a the start of the columns
	    $defaults = $this->array_swap( 'event_date_column', 'cb', $defaults );

	    return $defaults;
	}

	public function event_posts_custom_id_columns($column_name, $id){

		if( $column_name != 'event_date_column' ) {
			return;
		}

	    $eventDate = get_post_meta( $id, '_fl_end_date_meta_value_key', true );

	    echo $eventDate;

	}

	function array_swap($key1, $key2, $array) {
        $newArray = array ();
        foreach ($array as $key => $value) {
            if ($key == $key1) {
                $newArray[$key2] = $array[$key2];
            } elseif ($key == $key2) {
                $newArray[$key1] = $array[$key1];
            } else {
                $newArray[$key] = $value;
            }
        }
        return $newArray;
    }

}//CTLT_Flexible_Learning_Custom_Post_Types_setups

add_action( 'plugins_loaded', 'plugins_loaded__instantiateCTLTcustomSetup', 10 );

function plugins_loaded__instantiateCTLTcustomSetup() {
	$CTLTCustomTemplates = new CTLT_Flexible_Learning_Custom_Post_Types_setups();
}

require_once  plugin_dir_path( __FILE__ ) . 'assets/inc/CPT_Core.php';

//Case Studies
$cpt = array(
	'Case Study',
	'Case Studies',
	'case-studies'
);

$cpt_argOverrides = array(
	'menu_icon' 	=> 'dashicons-search',
	'supports' 		=> array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'revisions', 'custom-fields', 'page-attributes'),
	'rewrite' 		=> array('slug' => 'case-studies','with_front' => false),
	'hierarchical' 	=> true
);

register_via_cpt_core( $cpt, $cpt_argOverrides );

//Projects
$cpt = array(
	'Project',
	'Projects',
	'projects'
);

$cpt_argOverrides = array(
	'menu_icon'	=> 'dashicons-index-card',
	'supports' 	=> array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'revisions', 'custom-fields', 'page-attributes')
);

register_via_cpt_core( $cpt, $cpt_argOverrides );

//News
$cpt = array(
	'News Story',
	'News Stories',
	'news'
);

$cpt_argOverrides = array(
	'menu_icon' => 'dashicons-rss',
	'supports' 	=> array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'revisions', 'custom-fields', 'page-attributes', 'comments'),
	'rewrite' 	=> array('slug' =>'news-events')
);

register_via_cpt_core( $cpt, $cpt_argOverrides );

//Events
$cpt = array(
	'Event',
	'Events',
	'events'
);

$cpt_argOverrides = array(
	'menu_icon' => 'dashicons-calendar-alt',
	'supports' 	=> array( 'title', 'page-attributes')
);

register_via_cpt_core( $cpt, $cpt_argOverrides );

//Testimonials
$cpt = array(
	'Testimonial',
	'Testimonials',
	'testimonial'
);

$cpt_argOverrides = array(
	'menu_icon' => 'dashicons-money',
	'supports' 	=> array( 'title', 'editor', 'revisions')
);

register_via_cpt_core( $cpt, $cpt_argOverrides );



?>