<?php

if( !defined( 'ABSPATH' ) ) {
	return;
}

class CTLT_Flexible_Learning_Custom_Taxonomies {

    public function __construct() {
        //register_activation_hook(__FILE__,array( $this,'plugin_creates_terms_on_plugin_activation') );
    }

    public function plugin_creates_terms_on_plugin_activation() {
          //$this->create_taxonomies();
          //wp_insert_term('Featured','news');
          //wp_insert_term('Featured','case-studies');
        $parent_term = taxonomy_exists('case-studies-categories'); // array is returned if taxonomy is given
        $parent_term_id = $parent_term['cat_id']; // get numeric term id
        wp_insert_term (
              'Featured', // the term
              'case-studies-categories', // the taxonomy
                  array(
                    'description'=> 'A yummy apple.',
                    'slug' => 'featured',
                    'parent'=> $parent_term_id
                  )
        );
    }

}//CTLT_Flexible_Learning_Custom_Taxonomies

add_action( 'plugins_loaded', 'plugins_loaded__instantiateCTLTcustomTaxonomies', 10 );

function plugins_loaded__instantiateCTLTcustomTaxonomies() {
    $CTLTCustomTemplates = new CTLT_Flexible_Learning_Custom_Taxonomies();
}

require_once  plugin_dir_path( __FILE__ ) . 'assets/inc/Taxonomy_Core.php';

/**
 * Case Studies Taxonomies
 * Categories and Tags
 */

/**
 * Category
 */
$category = ( array(
    __( 'Category' ), // Singular
    __( 'Categories'), // Plural
    'case-studies-categories' // Registered name
) );

$scCAT_argOverrides = array(
    'show_in_nav_menus'    => false
);

$scCategory_reg = register_via_taxonomy_core( $category, $scCAT_argOverrides, array( 'case-studies' ) );


/**
 * tags
 */
$scTag = ( array(
    __( 'Tag' ), // Singular
    __( 'Tags'), // Plural
    'case-studies-tags' // Registered name
) );

$taxTag_argOverrides = array(
	'hierarchical' => false,
    'show_in_nav_menus'    => false
);

$scTag_reg = register_via_taxonomy_core( $scTag, $taxTag_argOverrides, array( 'case-studies' ) );

/**
 * News Stories Taxonomies
 * Categories and Tags
 */

/**
 * Story
 */
$News_Events_Category = ( array(
    __( 'Category' ), // Singular
    __( 'Categories'), // Plural
    'categories' // Registered name
) );

$newsCAT_argOverrides = array(
    'show_in_nav_menus'    => false
);

$News_Events_Category_reg = register_via_taxonomy_core( $News_Events_Category, $newsCAT_argOverrides, array( 'news' ) );

/**
 * tags
 */
$News_Events_Tag = ( array(
    __( 'Tag' ), // Singular
    __( 'Tags'), // Plural
    'stories-events-tags' // Registered name
) );

$taxTag_argOverrides = array(
    'hierarchical'         => false,
    'show_in_nav_menus'    => false
);

$News_Events_Tag_reg = register_via_taxonomy_core( $News_Events_Tag, $taxTag_argOverrides, array( 'news' ) );

/**
 * Projects Taxonomies
 * Faculty, Departments, Years, Tags
 */

/**
 * Faculty
 * 
 */
$pFaculties = ( array(
    __( 'Faculty' ), // Singular
    __( 'Faculties'), // Plural
    'faculties' // Registered name
) );

$pFacultyCAT_argOverrides = array(
    'show_in_nav_menus'    => false
);

$pFaculties_reg = register_via_taxonomy_core( $pFaculties, $pFacultyCAT_argOverrides, array( 'projects' ) );

/**
* Departments
*/
$pDepartments = ( array(
    __( 'Department' ), // Singular
    __( 'Departments'), // Plural
    'departments' // Registered name
) );

$pDepartmentsCAT_argOverrides = array(
    'show_in_nav_menus'    => false
);

$pDepartments_reg = register_via_taxonomy_core( $pDepartments, $pDepartmentsCAT_argOverrides, array( 'projects' ) );

/**
* Years
*/
$pYears = ( array(
    __( 'Year' ), // Singular
    __( 'Years'), // Plural
    'years' // Registered name
) );

$pYearsCAT_argOverrides = array(
    'show_in_nav_menus'    => false
);

$pYears_reg = register_via_taxonomy_core( $pYears, $pYearsCAT_argOverrides, array( 'projects' ) );

/**
 * tags
 */
$pTags = ( array(
    __( 'Tag' ), // Singular
    __( 'Tags'), // Plural
    'project-tags' // Registered name
) );

$pTag_argOverrides = array(
	'hierarchical' => false,
    'show_in_nav_menus'    => false
);

$pTag_reg = register_via_taxonomy_core( $pTags, $pTag_argOverrides, array( 'projects' ) );

?>
